About Chronograph

Chronograph's main function is to synchronize your local PC time, using the Internet. For that purpose it uses the National Institute of Standards and Technology (NIST) Atomic Clock servers. Chronograph provides quite a high degree of accuracy – the difference between local computer time and actual time after correction will rarely exceed 0.5 seconds. This slight difference is caused by an unavoidable network transmission delay.

Chronograph has an easy-to-use, convenient interface. It also provides various useful features, which make the time synchronization process fast and easy:

  • Manual, periodical and wait-for-connection operating modes.
  • Automatic Dial-Up Networking connection.
  • Ability to synchronize the time just after the application start-up.
  • Easy access to more than 10 NIST Atomic Clock servers.
  • Ability to work as a time server, so you can synchronize you PC's clock not only to NIST servers but to any computer in your LAN.
  • High stability. Program automatically connects to another server when the current server is down.
  • The application hides in the system tray and does not require any desktop space.
  • System tray pop-up menu for easy access to main functions.
  • Configurable date and time format.
  • SOCKS proxy server support.
  • Advanced hint with the calendar.
  • And much more...


System Requirements

The listing below specifies the minimum system requirements for running Chronograph:
  • Intel 80386 based IBM PC compatible computer (or higher).
  • SVGA videocard with HiColor (16-bit graphics) mode support.
  • About 2 MB free hard disk space.
  • Internet access.
  • Microsoft Windows 9x, Windows NT 4.0, Windows Me, Windows 2000 or Windows XP.


Revision History

June 26 2000 - Chronograph 1.0 Alpha, Initial version

Aug 10 2000 - Chronograph 1.0 Beta

  • Help file added
  • Autostart feature
  • "Minutes and second only" feature
  • "Wait for connection" mode
  • Date and time formats
  • Additional dial-up settings

Aug 21 2000 - Chronograph 1.0

  • Some bugs fixed
  • Animation added

Oct 11 2000 - Chronograph 1.5

  • HTTP proxy server support
  • Help file improved (thanks to Jerry Carpenter)

Nov 8 2000 - Chronograph 1.6

  • Advanced hint with calendar
  • Clock flickering eliminated

Dec 9 2000 - Chronograph 1.7

  • Stability improved (program automatically connects to another server when the current server is down)

Jan 5 2001 - Chronograph 1.75

  • Advanced hint is stable now
  • Chronograph is able to work on systems with more than one monitor

Feb 12 2001 - Chronograph 1.8

  • Now any computer, with Chronograph installed, can work as a time server

Mar 19 2001 - Chronograph 1.85

  • Sound notification added

Apr 15 2001 - Chronograph 1.9

  • Ability to synchronize the time just after the program start-up

May 20 2001 - Chronograph 1.95

  • "Exit after synchronization" feature added

Aug 15 2001 - Chronograph 2.0

  • Highly improved stability
  • Registration sheme changhed

Mar 1 2002 - Chronograph 2.1

  • Multiuser environment support
  • Help system is context-sensitive now
  • Cool window animation
  • Two new NIST atomic time servers added to the server list

Apr 3 2002 - Chronograph 2.2

  • Fully redesigned interface

May 2 2002 - Chronograph 2.3

  • Skins support

May 23 2002 - Chronograph 2.32

  • More new skins added

Jun 17 2002 - Chronograph 2.35

  • Installation process changed
  • Buttons highlighting added

Jul 26 2002 - Chronograph 2.5

  • Built-in "work as a server" option support improved
  • Built-in dial-up connection support modified
  • Documentation and help system improved

Oct 7 2002 - Chronograph 2.51

  • Installation size reduced
  • Help files refined

Nov 14 2002 - Chronograph 2.55

  • Built-in procedures and algorithms improved

Mar 22 2003 - Chronograph 3.0

  • Completely rewritten
  • Windows XP Service Pack 1 compatibility
  • Settings dialog rebuilt
  • SOCKS proxy server support (including authentication)
  • "Transparent window" option (Windows 2000 and Windows XP only)
  • "Always on top" feature
  • 24 hrs (military) time format support

May 27 2003 - Chronograph 3.04

  • Now Chronograph is able to save and restore its main window's position on the desktop

Jun 10 2003 - Chronograph 3.05

  • Minor internal improvements

Jun 25 2003 - Chronograph 3.06

  • Slightly modified installation process

Aug 13 2003 - Chronograph 3.1

  • Help system improved


Main Window

Chronograph’s distinctive feature is its specifically designed convenient user-friendly interface. Here is the main window view:

  • The Local box shows the time, as reported by your computer.
  • The Server window shows the time reported by the Atomic Clock Server. Time and date formats can be customized by user.
  • The Difference box displays the difference between the two.
  • The Get button [image] requests the time from the server. This time and the difference will be shown in the corresponding boxes.
  • The Adjust button [image] will correct the PC clock.
  • The Settings button [image] gives access to advanced options.
  • The Help button [image] shows this documentation.
  • The About button [image] displays a dialog box with program and author information.
  • The Minimize button [image] does one of the following:
    1. If you have the Hide into system tray option selected, this button will hide the program main window and place its icon into the System Tray.
    2. 2. Otherwise this button will minimize Chronograph like any other Windows application.


System Tray

If you select the Hide into system tray option, Chronograph will run in the System Tray and will not require any desktop space. However, you can easily access its main functions using a popup menu. Just right click on the tray icon to bring this menu up. Double clicking on the icon will open the main window.

  • The Synchronize menu item is a simple way to synchronize your local PC clock using Atomic Clock servers.
  • The Settings menu item displays the Settings dialog.
  • The Restore menu item shows the Chronograph main window.
  • Use the Help menu item to show program documentation.
  • To terminate the application use Exit.


Frequently Asked Questions

Q: Will this work in Arizona, where we don't use daylight savings, or will I have to fiddle with it to teach it that?

A: Chronograph uses Windows time zone information (including daylight saving time settings). So when automatic daylight saving time correction is disabled in your Windows settings (Date&Time icon in the Windows control panel), Chronograph doesn't use DST. However, if you do need to use DST, you should enable automatic DST correction, using "Date and Time" icon in the Windows control panel.

Q: There is a big difference between the NIST server and my system time. How can I get NIST server to show time in our zone?

A: Chronograph uses Windows time zone information. Therefore, if it shows incorrect server time, your Windows time zone settings must be incorrect. You can set the proper time zone, using "Date and Time" icon in the Windows control panel.

Q: All of the servers in the list are located too far away from me. Can I still use Chronograph?

A: It doesn't matter which server to use, its physical location has no meaning. Chronograph uses Windows time zone information. So if your Windows time zone is set to Central Standard Time it will adjust the clock to Central Standard Time. You can set the proper time zone using "Date and Time" icon in the Control Panel.
Note: When working with the nearest located server, the correction error (which happens due to the inevitable delay during the data transmission through the network) is smaller. However, it remains very small in any case; therefore, it is possible to select any server.

Q: Which port does Chronograph use?

A: Chronograph uses daytime protocol; therefore it works through the 13th port.

Q: Is there a Mac version of Chronograph available?

A: No, at the present time, the only version supported is Chronograph for Windows.

Q: Does Chronograph work under Windows NT/2000/XP?

A: Yes, Chronograph supports all 32-bit versions of Windows, with the exception for Windows CE.

Q: I installed a trial version of Chronograph. However, every time I try to synchronize the time, the program tells me that connection with the server cannot be established.

A: There are few possible reasons for that. The most common ones are:

  1. You are not connected to the Internet.
  2. You are using a firewall and the 13th port is restricted. It is necessary to permit the information transmission through the 13th port.
  3. In your network, to connect to the Internet you are using a proxy server. It is necessary to correctly set the proxy settings on the Chronograph Proxy server settings page. To find out the necessary information, please contact your net administrator.
If Chronograph keeps showing the connection error message, please contact your net administrator or contact our technical support at support@altrixsoft.com.

Q: What is a proxy server? What is proxy authorization or proxy authentication?

A: A proxy server is a computer, which operates as a mediator between the local network and the Internet, normally used in a work environment. It performs different functions like caching incoming Web traffic, performing security control etc. Sometimes, it requires authorization, in order to pass through a firewall. Proxy authorization or proxy authentication is when the application is required to use a username and a password to get access to the proxy server. If you experience difficulties, trying to get Chronograph to work with your proxy, please contact your system administrator.


Chronograph Settings

The Settings dialog will allow you to fine "tune" Chronograph. All Program settings are divided into four groups:

  • Settings on the Window view page define Chronograph's main window view, according to date and time formats, as well as the appearance of the application.
  • The main purpose of the Time server page is to define the server for Chronograph to use for synchronization.
  • If you are a LAN user you probably have to specify your SOCKS proxy server (firewall) on the Proxy server page.
  • Using Dial-up & Misc page settings, you can automate the time synchronization process, as well as customize your dial-up settings.


"Window view" page

Settings on the Window view page define Chronograph's main window view, according to the chosen date and time formats.

  • You can select one of three main Time formats. Local standard is a commonly used time format for your country, according to Windows Regional Settings. Also, you can choose 12 hrs or 24 hrs format. While 12 hrs format is common in the USA, 24 hrs format is generally accepted in Europe.
  • The Date format can be Short or Long. In the first case, Chronograph will show the day, month and year as 2-digit numbers. The long format shows a 3-letter month and a 4-digit year. Disable the Show date option if you don't want Chronograph to show the date at all.
  • If you choose the Local option in the Time zone group box, Chronograph shows the time, as reported by your PC. Otherwise, it will show GMT time (Greenwich Mean Time).

  • The Transparency option controls main window transparency. This option is available in Windows 2000 and Windows XP only.
  • Using the Skins box, you can choose a skin for Chronograph's main window. (You can also change skins without opening the "Settings" dialog. Just press Alt+S instead.)
  • With the Always on top box checked, Chronograph's window will be the topmost on your desktop.
  • The Advanced hint checkbox lets you enjoy useful hint with calendar.
  • Window animation option allows you to disable program windows animation. Click on the Animation sample button to see what the windows animation looks like.
    Advanced hint sample


"Time server" page

The main purpose of the Time server page is to define the server Chronograph uses for synchronization.

At the present moment, the program can use one of the 12 NIST Atomic Clock servers. Their addresses are shown in the NIST server address combo-box. Below you can see the server location.

Ever since the release of version 1.8, Chronograph is able to work as a time server, so you can easily synchronize your clock to any computer in your LAN. Just check the Start local time server on this computer box to enable this mode on the machine you want to synchronize to. Then use Synchronize to switch on all your client computers to force them to connect to the Local server. You will also have to enter the IP address of the server into the Local server address box on the clients.


"Proxy server" page

If you are a LAN user, you probably have to specify your SOCKS proxy server on the Proxy server page. Please note that most users outside of business sites don't need this feature.

Use proxy checkbox enables the proxy server support. Now you have to specify your Proxy type (Chronograph supports SOCKS v4, SOCKS v4A and SOCKS v5 proxies), its Address and Port. Refer to your system administrator to get this information or ask him or her to make the settings for you.

If your local proxy requires user authentication (User name and Password) you can enter this information into the corresponding boxes. Please note: only SOCKS v5 proxy supports authentication).


"Dial-up" page

"Dial-up & Misc" page

Using Dial-up & Misc page settings, you can automate the time synchronization process, as well as customize your dial-up settings.

Chronograph supports thee synchronozation modes:

  1. Manual mode allows you to synchronize the clock whenever you wish. But in this case, Chronograph needs your assistance. Use Get and Adjust buttons to synchronize the time manually.
  2. For a periodical synchronization, you have to choose the Every n hour(s) option. Set your preferred update interval (in hours) in the appropriate box.
  3. Wait for connection mode means that Chronograph will automatically synchronize the clock every time your computer establishes a dial-up connection.

Misc settings:

  • When the Synchronize after start box is checked, the clock will be synchronized every time Chronograph starts.
  • Check the Run at startup option, if you want Chronograph to start on every system reboot.
  • You can also use the Exit after synchronization option. It will remove Chronograph from the computer's memory after the clock synchronization.
  • If you have the Hide into system tray option selected, Chronograph hides the main window and places its icon into the System Tray.
  • Use Sound on success feature to enable or disable playing sound after the successful time adjustment.
  • Use Sound on errors feature to control sound playing, in case of synchronization errors.

Chronograph is able to establish a dial-up connection, if necessary.

  • When the Use dial-up option is disabled, you have to establish an Internet connection manually.
  • If the Use dial-up option is enabled, you should also specify a dial-up entry. All dial-up entries are displayed in the Dial-up entry dropdown list. Remember that selected dial-up entry has to have stored login/password information. Otherwise, Chronograph will not be able to connect to your Internet service provider.
  • The Number of tries control allows you to specify how many times Chronograph will try to establish a dial-up connection if the line is busy.
  • The Redial after box determines the time interval (in seconds) between connection tries.


Order Chronograph

Minor upgrades (for example, from version 2.0 to any of 2.x) are free for our registered users. The cost of major upgrade is $11.95 (instead of the full $19.95 price.) If you are a registered user of previous version, please use this link https://usd.swreg.org/cgi-bin/b.cgi?s=30093&p=30093ALTRIX2 to upgrade.

New users can register Chronograph at a cost of $19.95.

Select one of the following ways:

1. Through the World Wide Web. This is the fastest and easiest way. The ordering page is secure and your information remains confidential.

Use https://usd.swreg.org/cgi-bin/b.cgi?s=30093&p=30093ALTRIX3

2. You can also order Chronograph by fax, mail or call toll-free. Simply open this link and follow the instructions.

After payment approval (usually, in one business day), we will send you the registration key, which will remove all limitations of the unregistered version.

If you do not get your registration key within a reasonable time (two business days for credit card payments or two weeks for other payments), please notify us at support@altrixsoft.com. We hope that there will be no inconvenience, caused by these delays.

Important: when completing the order form, please double-check that your e-mail address is correct. If it is not, you will be unable to receive the registration key.


Contact information

Dear User

If you are experiencing a problem with our software, please contact our Support Team at support@altrixsoft.com. Every bug you report, every comment, opinion or suggestion is of great importance to us. Feel free to contact us for any question, concerning Chronograph.

You can also visit the Chronograph home page at http://www.altrixsoft.com to download the most recent version or to register your copy.

Best regards,
AltrixSoft


NIST Atomic Clock servers

Host | IP-address | Location
time-a.nist.gov | 129.6.15.28 | NIST, Gaithersburg, Maryland
time-b.nist.gov | 129.6.15.29 | NIST, Gaithersburg, Maryland
time-a.timefreq.bldrdoc.gov | 132.163.4.101 | NIST, Boulder, Colorado
time-b.timefreq.bldrdoc.gov | 132.163.4.102 | NIST, Boulder, Colorado
time-c.timefreq.bldrdoc.gov | 132.163.4.103 | NIST, Boulder, Colorado
utcnist.colorado.edu | 128.138.140.44 | University of Colorado, Boulder
time.nist.gov | 192.43.244.18 | NCAR, Boulder, Colorado
nist1.datum.com | 209.0.72.7 | Datum, San Jose, California
nist1-dc.glassey.com | 216.200.93.8 | Abovnet, Virginia
nist1-sj.glassey.com | 207.126.98.204 | Abovnet, San Jose, California
nist1.aol-ca.truetime.com | 207.200.81.113 | TrueTime, AOL facility, Sunnyvale, California